ProjectBoards

Project boards are used to organize projects into different phases. Each board contains phases that define the workflow for projects.

Get all project boards

Copy link

Returns all active project boards.

Endpoint is in beta

Cost

10

Request
GET

/api/v2/boards

Response
200

OK

Expand all
Copy code
    • true
    • [ ... ]
      • null

    Get details of a board

    Copy link

    Returns the details of a specific project board.

    Endpoint is in beta

    Cost

    10

    Request
    GET

    /api/v2/boards/{id}

    Path parameters

    id

    integer

    required

    The ID of the project board

    Response
    200

    OK

    Expand all
    Copy code
      • true
      • { ... }

      Add a project board

      Copy link

      Adds a new project board.

      Endpoint is in beta

      Cost

      5

      Request
      POST

      /api/v2/boards

      Body parameters

      application/json

      name

      string

      required

      The name of the project board

      order_nr

      integer

      The order of the board. Must be between 1 and the total number of boards + 1.

      Response
      200

      OK

      Expand all
      Copy code
        • true
        • { ... }

        Update a project board

        Copy link

        Updates the properties of a project board.

        Endpoint is in beta

        Cost

        5

        Request
        PATCH

        /api/v2/boards/{id}

        Path parameters

        id

        integer

        required

        The ID of the project board

        Body parameters

        application/json

        name

        string

        The name of the project board

        order_nr

        integer

        The order of the board. Must be between 1 and the total number of boards + 1.

        Response
        200

        OK

        Expand all
        Copy code
          • true
          • { ... }

          Delete a project board

          Copy link

          Marks a project board as deleted.

          Endpoint is in beta

          Cost

          3

          Request
          DELETE

          /api/v2/boards/{id}

          Path parameters

          id

          integer

          required

          The ID of the project board

          Response
          200

          OK

          Expand all
          Copy code
            • true
            • { ... }

            Subscribe to Pipedrive’s Developer Newsletter